libacpi: thermal_t Struct Reference

- Main Page
- Classes
- Files

- Class List
- Class Members

# thermal_t Struct Reference

information about thermal zone More...

`#include <libacpi.h>`

Collaboration diagram for thermal_t:

[legend]
List of all members.

## Public Attributes
char | name [MAX_NAME]
int | temperature
int | frequency
char | state_file [MAX_NAME]
char | cooling_file [MAX_NAME]
char | freq_file [MAX_NAME]
char | trips_file [MAX_NAME]
char | temp_file [MAX_NAME]
thermal_mode_t | therm_mode
thermal_state_t | therm_state

## Detailed Description

information about thermal zone

Definition at line 147 of file libacpi.h.

## Member Data Documentation

char thermal_t::name[MAX_NAME]

name of the thermal zone

Definition at line 148 of file libacpi.h.

Referenced by init_acpi_thermal().

int thermal_t::temperature

current temperature of the zone

Definition at line 149 of file libacpi.h.

Referenced by read_acpi_zone().

int thermal_t::frequency

polling frequency for this zone

Definition at line 150 of file libacpi.h.

Referenced by read_acpi_zone().

char thermal_t::state_file[MAX_NAME]

state file + path of the zone

Definition at line 151 of file libacpi.h.

Referenced by init_acpi_thermal(), and read_acpi_zone().

char thermal_t::cooling_file[MAX_NAME]

cooling mode file + path

Definition at line 152 of file libacpi.h.

Referenced by init_acpi_thermal(), and read_acpi_zone().

char thermal_t::freq_file[MAX_NAME]

polling frequency file + path

Definition at line 153 of file libacpi.h.

Referenced by init_acpi_thermal(), and read_acpi_zone().

char thermal_t::trips_file[MAX_NAME]

trip points file + path

Definition at line 154 of file libacpi.h.

Referenced by init_acpi_thermal().

char thermal_t::temp_file[MAX_NAME]

temperature file + path

Definition at line 155 of file libacpi.h.

Referenced by init_acpi_thermal(), and read_acpi_zone().

thermal_mode_t thermal_t::therm_mode

current cooling mode

Definition at line 156 of file libacpi.h.

Referenced by read_acpi_zone().

thermal_state_t thermal_t::therm_state

current thermal state

Definition at line 157 of file libacpi.h.

Referenced by read_acpi_zone().

The documentation for this struct was generated from the following file:

- libacpi.h